"""
Module implements client for luna-api
"""

from .mixins import (
    AccountsMixin,
    AttributesMixin,
    BaseLunaHttpClient,
    EventsMixin,
    FacesMixin,
    HandlersMixin,
    ImagesMixin,
    LambdasMixin,
    ListsMixin,
    LivenessMixin,
    LRSMixin,
    MatcherMixin,
    ObjectsMixin,
    SamplesMixin,
    TasksMixin,
    WSMixin,
)


class LunaHttpClient(
    BaseLunaHttpClient,
    SamplesMixin,
    AttributesMixin,
    FacesMixin,
    ListsMixin,
    EventsMixin,
    HandlersMixin,
    MatcherMixin,
    TasksMixin,
    LivenessMixin,
    ImagesMixin,
    ObjectsMixin,
    WSMixin,
    AccountsMixin,
    LRSMixin,
    LambdasMixin,
):
    """
    Luna-api client
    """
